%define base_name	lablgtk
%define name		ocaml-%{base_name}2
%define version		2.6.0
%define release		%mkrel 8

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	OCaml interface to the GIMP Tool Kit Version 2
Source:		http://wwwfun.kurims.kyoto-u.ac.jp/soft/olabl/dist/%{base_name}-%{version}.tar.bz2
URL:		http://wwwfun.kurims.kyoto-u.ac.jp/soft/olabl/lablgtk.html
License:	LGPL
Group:		Development/Other
BuildRequires:	camlp4
BuildRequires:	gtk+2-devel
BuildRequires:	gtkglarea2-devel
BuildRequires:	librsvg-devel
BuildRequires:	gnomeui2-devel	
BuildRequires:	gnome-panel-devel
BuildRequires:	gtkspell-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
OCaml interface to the GIMP Tool Kit Version 2.

%package devel
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{name} = %{version}
Requires:	gtk2-devel

%description devel
This package contains the development files needed to build applications
using %{name}.

%prep
%setup -q -n %{base_name}-%{version}

%build
./configure
make
make opt

%install
rm -rf %{buildroot}
destdir=`ocamlc -where`
install -d -m 755 %{buildroot}%{_bindir}
install -d -m 755 %{buildroot}$destdir/stublibs
make install \
	BINDIR=%{buildroot}%{_bindir} \
	INSTALLDIR=%{buildroot}$destdir/lablgtk2 \
	DLLDIR=%{buildroot}$destdir/stublibs

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING
%{_libdir}/ocaml/stublibs/*

%files devel
%defattr(-,root,root)
%doc CHANGES README
%{_bindir}/*
%{_libdir}/ocaml/lablgtk2

%changelog
* Mon Aug 28 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.6.0-8mdv2007.0
- Rebuild

* Tue Apr 25 2006 Pixel <pixel@mandriva.com> 2.6.0-7mdk
- rebuild for new ocaml

* Thu Jan 26 2006 Pixel <pixel@mandriva.com> 2.6.0-6mdk
- only the stublibs are non-devel stuff (ie not requiring ocaml)

* Mon Jan 23 2006 Pixel <pixel@mandriva.com> 2.6.0-5mdk
- rebuild for new ocaml

* Fri Jan 13 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.6.0-4mdk
- devel packages requires gtk+2-devel

* Wed Nov 09 2005 Guillaume Bedot <littletux@mandriva.org> 2.6.0-3mdk
- rebuild for new lablgl

* Mon Nov  7 2005 Pixel <pixel@mandriva.com> 2.6.0-2mdk
- rebuild for new ocaml

* Wed Nov 02 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.6.0-1mdk
- %%mkrel
- Anssi Hannula <anssi.hannula@gmail.com>
 - 2.6.0

* Tue Nov  1 2005 Frederic Lepied <flepied@mandriva.com> 2.4.1-0.20050701.2mdk
- rebuild to compile gtkgl support

* Tue Jul 19 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.4.1-0.20050701.1mdk 
- new snapshot
- more buildrequires
- remove merged rpm macros

* Tue May 17 2005 Laurent Culioli <laurent@mandriva.org> 2.4.1-0.20050218.1mdk
- 20050218

* Thu Apr 21 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.4.0-1mdk 
- contributed by Julien Narboux (Julien.Narboux@inria.fr)
